package com.pj.project.tb_charge_record;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

/**
 * Service: tb_charge_record -- 充值记录
 * @author qzy 
 */
@Service
public class TbChargeRecordService extends ServiceImpl<TbChargeRecordMapper,TbChargeRecord>implements IService<TbChargeRecord> {

	/** 底层 Mapper 对象 */
	@Autowired
	TbChargeRecordMapper tbChargeRecordMapper;

	/** 增 */
	int add(TbChargeRecord t){
		return tbChargeRecordMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbChargeRecordMapper.delete(id);
	}

	/** 改 */
	int update(TbChargeRecord t){
		return tbChargeRecordMapper.update(t);
	}

	/** 查 */
	TbChargeRecord getById(Long id){
		return tbChargeRecordMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbChargeRecord> getList(SoMap so) {
		return tbChargeRecordMapper.getList(so);	
	}
	

}
